clang-tools 8.0.0

Public Member Functions | List of all members
clang::find_all_symbols::FindAllSymbolsAction Class Reference

`#include <FindAllSymbolsAction.h>`

Inheritance diagram for clang::find_all_symbols::FindAllSymbolsAction:
[legend]
Collaboration diagram for clang::find_all_symbols::FindAllSymbolsAction:
[legend]

## Public Member Functions
| FindAllSymbolsAction (SymbolReporter *Reporter, const HeaderMapCollector::RegexHeaderMap *RegexHeaderMap=nullptr)
std::unique_ptr< clang::ASTConsumer > | CreateASTConsumer (clang::CompilerInstance &Compiler, StringRef InFile) override

## Detailed Description

Definition at line 26 of file FindAllSymbolsAction.h.

## Constructor & Destructor Documentation

## ◆ FindAllSymbolsAction()

clang::find_all_symbols::FindAllSymbolsAction::FindAllSymbolsAction | ( | SymbolReporter * | Reporter,
|  | const HeaderMapCollector::RegexHeaderMap * | RegexHeaderMap = `nullptr`
| ) |  |
| explicit

Definition at line 19 of file FindAllSymbolsAction.cpp.

Referenced by clang::find_all_symbols::FindAllSymbolsActionFactory::create().

## Member Function Documentation

## ◆ CreateASTConsumer()

std::unique_ptr< ASTConsumer > clang::find_all_symbols::FindAllSymbolsAction::CreateASTConsumer | ( | clang::CompilerInstance & | Compiler,
|  | StringRef | InFile
| ) |  |
| override

Definition at line 28 of file FindAllSymbolsAction.cpp.

The documentation for this class was generated from the following files:

- FindAllSymbolsAction.h
- FindAllSymbolsAction.cpp